Bug 86508 - Change default colors for conditional formatting color scales
Summary: Change default colors for conditional formatting color scales
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:6.0.0
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2014-11-21 05:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-11-12 15:17 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
before and after (38.18 KB, image/png)
2014-11-21 05:14 UTC, Yousuf Philips (jay) (retired)
Details
predefined color scales in MS Excel (25.50 KB, image/png)
2014-11-21 05:24 UTC, Yousuf Philips (jay) (retired)
Details
Yellow to Green color variants (48.89 KB, image/png)
2017-11-10 10:22 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-21 05:14:31 UTC
Created attachment 109789 [details]
before and after

Presently the default colors used in conditional formatting color scales is Red 3, Black, and Blue 3, which looks quite ugly. It would be good to change this default to something more easily understood like Red 3, Yellow, and Green 3, which is the colors of stop lights.
Comment 1 Yousuf Philips (jay) (retired) 2014-11-21 05:24:54 UTC
Created attachment 109790 [details]
predefined color scales in MS Excel

Excel comes with a nice set of 3 entry predefined color scale color themes which can be seen in the attachment. These include:

Green, Yellow, Red
Red, Yellow, Green
Green, White, Red
Red, White, Green
Light Blue, White, Red
Red, White, Light Blue
Comment 2 tommy27 2014-12-14 18:08:10 UTC
I agree. status NEW.
Comment 3 V Stuart Foote 2014-12-14 20:41:57 UTC
+1, the Red-Yellow-Green would make more sense visually. But any sequence other than Red-Black-Blue--so as to exclude Black--would be an improvement.
Comment 4 Yousuf Philips (jay) (retired) 2014-12-15 12:19:28 UTC
(In reply to V Stuart Foote from comment #3)
> +1, the Red-Yellow-Green would make more sense visually. But any sequence
> other than Red-Black-Blue--so as to exclude Black--would be an improvement.

Well the black only appears because the 2nd color is not set by default in the dialog (attachment 109794 [details]) and if a user doesnt set it, LO use black in that scenario (i would have thought it would have used white and thought to file a bug for that).
Comment 5 Adolfo Jayme 2014-12-16 00:51:46 UTC
Perhaps this can be made into an EasyHack.
Comment 6 Yousuf Philips (jay) (retired) 2014-12-16 08:39:57 UTC
Yes ideally this should be an EasyHack. In addition to the 'Color Scale (3 Entries)' being Red 3, Blank (Black), and Blue 3, 'Color Scale (2 Entries)' is set to Red 3 and Blue 3, which should also be changed.

Excel comes with these 2 entry predefined color scale color themes (visible in attachment 109790 [details]):

White, Red
Red, White
Green, White
White, Green
Green, Yellow
Yellow Green

It should also be noted that Red 3 and Blue 3 are also the preset colors used in conditional formatting data bar, so changes to color scale color presets shouldnt effect data bar.
Comment 7 fractal618 2015-10-22 12:12:13 UTC
The middle color should be White not Black

http://imgur.com/eKINwig
Comment 8 V Stuart Foote 2015-10-22 12:16:02 UTC
back to enhancement and version as in OP
Comment 9 V Stuart Foote 2015-10-22 12:17:11 UTC
still needs dev review and designation as an EasyHack
Comment 10 Yousuf Philips (jay) (retired) 2015-10-22 13:19:38 UTC
@Bubli, @Maxim: Is this something easy to fix with the dialog not being in the new glade .ui style?
Comment 11 V Stuart Foote 2015-10-22 14:56:56 UTC
(In reply to Yousuf (Jay) Philips from comment #10)
> @Bubli, @Maxim: Is this something easy to fix with the dialog not being in
> the new glade .ui style?

Yes just the dialog is in .UI already

http://opengrok.libreoffice.org/xref/core/sc/uiconfig/scalc/ui/conditionalformatdialog.ui

I think the controls are in 
http://opengrok.libreoffice.org/xref/core/sc/source/ui/inc/condformatdlgentry.hxx

and

http://opengrok.libreoffice.org/xref/core/sc/source/ui/condformat/condformatdlgentry.cxx#902 where we I think we would disable automatic for the LB_COL_MIDDLE. Or alternatively, define its default specifically to WHITE--but I couldn't find where the default colors for the LB_COL_MIN and LB_COL_MAX, and presumably would set a default COLOR for LB_COL_MIDDLE

For the 3Color gradient type--the default middle color of BLACK is bad.
Comment 12 Katarina Behrens (CIB) 2015-10-26 16:04:23 UTC
Interested people can try this: https://gerrit.libreoffice.org/#/c/19609/

the code change's trivial, it's more the choice of colours that needs some feedback
Comment 13 Commit Notification 2015-10-26 18:48:56 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f0ca33be7e6cb22ecc8853c1812fa649bfdf4d0

tdf#86508: Traffic light colour scale for cond. formatting

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Yousuf Philips (jay) (retired) 2015-10-26 18:54:25 UTC
So Katarina fixed the 3 part color scales to Red 3, Yellow 2, Green 3 and that has been pushed in.

With the 2 part color scales, Katarina and I were debating it on IRC with the suggested options from comment 6 and thought a color on both side with one of them not being white, as white is the default color of the sheet, would likely be the best option (i.e. Green and Yellow). What do others think?
Comment 15 Xisco Faulí 2017-11-05 21:43:36 UTC
(In reply to Yousuf Philips (jay) from comment #14)
> So Katarina fixed the 3 part color scales to Red 3, Yellow 2, Green 3 and
> that has been pushed in.
> 
> With the 2 part color scales, Katarina and I were debating it on IRC with
> the suggested options from comment 6 and thought a color on both side with
> one of them not being white, as white is the default color of the sheet,
> would likely be the best option (i.e. Green and Yellow). What do others
> think?

@Yousuf, it seems there are no other opinions after 2 years :D
Should the UX team be added?
Comment 16 Yousuf Philips (jay) (retired) 2017-11-06 15:06:01 UTC
(In reply to Xisco Faulí from comment #15)
> > With the 2 part color scales, Katarina and I were debating it on IRC with
> > the suggested options from comment 6 and thought a color on both side with
> > one of them not being white, as white is the default color of the sheet,
> > would likely be the best option (i.e. Green and Yellow). What do others
> > think?
> 
> @Yousuf, it seems there are no other opinions after 2 years :D
> Should the UX team be added?

Heiko's added it to the agenda of this week's design meeting.

Stuart, Cor, Adolfo: do you guys have a preference for the color scale 2 entries. See the excel colors mentioned in comment 6.
Comment 17 Thomas Lendo 2017-11-09 13:12:08 UTC
Shouldn't the colors (also the new ones from 2015) changed to ones that are in the new standard color palette?
Comment 18 Heiko Tietze 2017-11-09 20:37:26 UTC
Decision in the design meeting was to use "Yellow Light 3" and "Yellow Green 3" from the new standard palette.
Comment 19 Yousuf Philips (jay) (retired) 2017-11-10 10:22:12 UTC
Created attachment 137658 [details]
Yellow to Green color variants

Light Yellow 3 and Light Green 3 are too light/faded in my view, especially as the sheet is white, and we should likely go with Light Yellow 2 and Light Green 2.
Comment 20 V Stuart Foote 2017-11-10 13:14:07 UTC
(In reply to Yousuf Philips (jay) from comment #19)
> Created attachment 137658 [details]
> Yellow to Green color variants
> 
> Light Yellow 3 and Light Green 3 are too light/faded in my view, especially
> as the sheet is white, and we should likely go with Light Yellow 2 and Light
> Green 2.

Thanks for the side-by-side clip, looking more closely at this agree the 3's are a bit too muted and the 2's would be the better defaults.
Comment 21 Thomas Lendo 2017-11-10 16:15:12 UTC
(In reply to Yousuf Philips (jay) from comment #19)
> Light Yellow 3 and Light Green 3 are too light/faded in my view, especially
> as the sheet is white, and we should likely go with Light Yellow 2 and Light
> Green 2.
My favorite is also Light Yellow/Green 2.
Comment 22 Commit Notification 2017-11-10 22:15:41 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7df058224a7cabb1cbfc8564ffe22a6844fb2a1f

tdf#86508 Use Yellow and Green for 2 entry color scale

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.